package sgc.portal.cd.cd0204.service;

import java.util.List;
import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0204.dto.CD02040001USearch;
import sgc.portal.cd.cd0204.persistence.CD02040001UMapper;

@Service
public class CD02040001UService {
    private final CD02040001UMapper mapper;

    public CD02040001UService(CD02040001UMapper mapper) {
        this.mapper = mapper;
    }
    
    //공사일보 세부현황 조회(당사출역)
    public List<EasyHashMap<String, Object>> selectConDayWrkManpwrComList(CD02040001USearch search) {
    	return mapper.selectConDayWrkManpwrComList(search);
    }
    
    //공사일보 세부현황 조회(협력업체출역)
    public List<EasyHashMap<String, Object>> selectConDayWrkManpwrCvndList(CD02040001USearch search) {
    	return mapper.selectConDayWrkManpwrCvndList(search);
    }
    
    //공사일보 세부현황 조회(장비투입)
    public List<EasyHashMap<String, Object>> selectConDayWrkEqpmList(CD02040001USearch search) {
    	return mapper.selectConDayWrkEqpmList(search);
    }
    
    //공사일보 세부현황 조회(자재반입)
    public List<EasyHashMap<String, Object>> selectConDayWrkBdmtList(CD02040001USearch search) {
    	return mapper.selectConDayWrkBdmtList(search);
    }
    
    //공사일보 세부현황 조회(Progress)
    public List<EasyHashMap<String, Object>> selectConDayWrkProgList(CD02040001USearch search) {
    	return mapper.selectConDayWrkProgList(search);
    }

}
